<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>

				<p class="nocomments">This post is password protected. Enter the password to view comments.<p>

				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->
<?php if ($comments) : ?>
				<h3 class="lower-content-title"><?php comments_number('No comments as yet','1 person has left a comment','% people have left comments'); ?></h3>
				<!-- set user-comments -->

				<div id="user-comments">

						<?php foreach ($comments as $comment) : ?>
						<!-- user-comments -->
						<?php
							$alt = "";
							if( get_comment_author_email() == get_the_author_email() ) {
								$alt = "alt ";
							}
						?>
						<div class="user-comments-box">
							<div class="user-comments-avatar">
								<?php
									$url;
									$title;
									
									if( !isset( $comment->comment_author_url ) && $comment->comment_author_url == NULL ){
										//echo "URL is not set...";
										$url = "http://site.gravatar.com/";
										$title = "Sign up for a Gravatar at:  " . $url;
										
									}else{
										$url = $comment->comment_author_url;
										$title = "Visit " . $url;
									}
								?>
								<?php
									$email = get_comment_author_email(); 
									$default = get_bloginfo('template_directory') . "/images/default_gravatar.png";
									$size = 64;
									
									$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5($email). "&amp;default=" . urlencode($default) . "&amp;size=" . $size; 
								?>
								<a href="<?php echo $url; ?>" rel="comment author" title="<?php echo $title; ?>"><img src="<?php echo $grav_url; ?>" alt="<?php comment_author(); ?> - Gravatar" class="gravatar" /></a>
							</div>
							<div class="<?php echo $alt; ?>user-comments-dialogpoint"></div>
							
							<div class="box">
								<div class="<?php echo $alt; ?>box-top"></div>
								<div class="<?php echo $alt; ?>box-body">
									<h3 class="<?php echo $alt; ?>comment-title"><?php comment_author(); ?> said on <?php comment_date(); ?>, <?php comment_time(); ?>:</h3>
									<?php comment_text(); ?>
								</div>
								<div class="<?php echo $alt; ?>box-bottom"></div>
							</div>

						
							<!-- clear -->
							<div class="clear"></div>
							
						</div>
						<!-- user-comments -->
						<?php endforeach; /* end for each comment */ ?>

				</div>
				<!-- end user-comments -->	
				
 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post->comment_status) : ?> 
			<!-- If comments are open, but there are no comments. -->
			<h3 class="lower-content-title">No comments as yet.</h3>
			<div id="user-comments">
						<!-- user-comments -->
						<div class="user-comments-box">
							<div class="user-comments-avatar">
								<?php
									$url;
									$title;
									
									if( !isset( $comment->comment_author_url ) && $comment->comment_author_url == NULL ){
										//echo "URL is not set...";
										$url = "http://site.gravatar.com/";
										$title = "Sign up for a Gravatar at:  " . $url;
										
									}else{
										$url = $comment->comment_author_url;
										$title = "Visit " . $url;
									}
								?>
								<?php
									$email = get_comment_author_email(); 
									$default = get_bloginfo('template_directory') . "/images/default_gravatar.png";
									$size = 64;
									
									$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5($email). "&amp;default=" . urlencode($default) . "&amp;size=" . $size; 
								?>
								<a href="<?php echo $url; ?>" rel="comment author" title="<?php echo $title; ?>"><img src="<?php echo $grav_url; ?>" alt="<?php comment_author(); ?> - Gravatar" class="gravatar" /></a>
							</div>
							<div class="user-comments-dialogpoint"></div>
							
							<div class="box">
								<div class="box-top"></div>
								<div class="box-body">
									<p class="nocomments">No comments have yet been made to this posting.</p>
								</div>
								<div class="box-bottom"></div>
							</div>

							<!-- clear -->
							<div class="clear"></div>
							
						</div>
						<!-- user-comments -->
			</div>
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<h3 class="lower-content-title">Comments are closed.</h3>
			<div id="user-comments">
						<!-- user-comments -->
						<div class="user-comments-box">
							<div class="user-comments-avatar">
								<?php
									$url;
									$title;
									
									if( !isset( $comment->comment_author_url ) && $comment->comment_author_url == NULL ){
										//echo "URL is not set...";
										$url = "http://site.gravatar.com/";
										$title = "Sign up for a Gravatar at:  " . $url;
										
									}else{
										$url = $comment->comment_author_url;
										$title = "Visit " . $url;
									}
								?>
								<?php
									$email = get_comment_author_email(); 
									$default = get_bloginfo('template_directory') . "/images/default_gravatar.png";
									$size = 64;
									
									$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5($email). "&amp;default=" . urlencode($default) . "&amp;size=" . $size; 
								?>
								<a href="<?php echo $url; ?>" rel="comment author" title="<?php echo $title; ?>"><img src="<?php echo $grav_url; ?>" alt="<?php comment_author(); ?> - Gravatar" class="gravatar" /></a>
							</div>
							<div class="user-comments-dialogpoint"></div>
							
							<div class="box">
								<div class="box-top"></div>
								<div class="box-body">
									<p class="nocomments">All commenting has been disabled for this post.</p>
								</div>
								<div class="box-bottom"></div>
							</div>
							
							<!-- clear -->
							<div class="clear"></div>
							
						</div>
						<!-- user-comments -->
			</div>
	<?php endif; ?>

	<p>
	<!-- ?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.')); ? --> 
	<?php if ( pings_open() ) : ?>
		<!-- a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack <abbr title="Uniform Resource Identifier">URI</abbr>'); ?></a -->
	<?php endif; ?>
	</p>

<?php endif; ?>

				<!-- set comment-form-box -->
				<div id="comment-form-box" class="box">
					<div class="one-col box-top"><h3 class="box-title">Leave A Comment</h3></div>
					
					<div class="one-col box-body">
					
							<?php if ('open' == $post->comment_status) : ?>

							<!-- registration required message -->
							<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
						
							<!-- p class="comment-guidelines"><strong>Comment Guidelines:</strong> Basic XHTML is allowed (a href, strong, em, code). All line breaks and paragraphs are automatically generated. Off-topic or inappropriate comments will be edited or deleted. Email addresses will never be published. Keep it PG-13 people!</p>
							<p class="comment-guidelines"><strong>XHTML:</strong> You can use these tags: &lt;a href=&quot;&quot; title=&quot;&quot;&gt; &lt;abbr title=&quot;&quot;&gt; &lt;acronym title=&quot;&quot;&gt; &lt;b&gt; &lt;blockquote cite=&quot;&quot;&gt; &lt;code&gt; &lt;em&gt; &lt;i&gt; &lt;strike&gt; &lt;strong&gt; </p -->
	
							<?php else : ?>
							<p class="comment-guidelines">All fields marked with "*" are required.</p>

							<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="comment-form">

								<?php if ( $user_ID ) : ?>

								<p class="guidelines">Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout &raquo;</a></p>
						
								<?php else : ?>

								<p><label for="author">Name: *</label><input type="text" name="author" id="author" value="" size="22" tabindex="1" /></p>
								
								<p><label for="email">E-mail (will not be published): *</label><input type="text" name="email" id="email" value="" size="22" tabindex="2" /></p>
								
								<p><label for="url">Website:</label><input type="text" name="url" id="url" value="" size="22" tabindex="3" /></p>
								
							<?php endif; ?>
							
								<p><label for="url">Comment:</label><textarea name="comment" id="comment" cols="" rows="10" tabindex="4"></textarea></p>

								<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" />
								<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
							<?php do_action('comment_form', $post->ID); ?>
							</form>	

					</div>
					
					<div class="one-col box-bottom"></div>
				</div>
				<!-- end comment-form-box -->
			
				<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
