<?php
/*
Template Name: Contact
*/
?>

<?php get_header(); ?>

	<!-- set main-content -->
	<div id="main-content">

		<!-- set left col -->
		<div id="content-container-left">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p><strong><?php bloginfo('name'); ?></strong>: Insert a brief description of your blog, or yourself -- whichever. <a href="<?php bloginfo('url'); ?>/index.php/about">Read More</a></p>
				</div>
			</div>
			<!-- end author block -->
			

			<!-- set main-entry -->
			<div class="main-entry">
			<h2><?php the_title(); ?></h2>
				<?php the_content(); ?>
			</div>

			<?php endwhile; endif; ?>
									
			<div class="clear"></div>

        </div>
		<!-- end left col -->
		
		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

			<?php include (TEMPLATEPATH . "/blogfeeds.php"); ?>

		</div>
		<!-- end right-col -->

		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->


		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set low-ercontent-container -->
			<div id="lower-content-container">
			
			
				<?php include (TEMPLATEPATH . "/recentposts.php"); ?>
			
				<?php //include (TEMPLATEPATH . "/other.php"); ?>
			
				<?php include (TEMPLATEPATH . "/flickr.php"); ?>

			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->
		
		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>

	</div>
	<!-- end main-content -->	


<?php get_footer(); ?>