<?php require_once("functions.php");?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats please -->

<title><?php wp_title(' '); ?><?php if(wp_title(' ', false)) { echo '–'; } ?><?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/legacy.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!-- google analytics -->
<!-- insert your google analytics snippet here -->

<!--[if lt IE 7]>
<script type="text/javascript" src="pngfix.js"></script>
<![endif]-->

<?php wp_get_archives('type=monthly&format=link'); ?>
<?php //comments_popup_script(); // off by default ?>
<?php wp_head(); ?>
</head>

<body>


<!-- set main-body -->
<div id="main-body">
		<a name="top" id="top"></a>

	<!-- set main-header -->
	<div id="main-header">
		<h1 id="logo"><?php bloginfo('title'); ?></h1>
		<div id="global-nav">
			<ul>
				<li <?php if (is_page('Home') || is_home() ) { echo "class=\"page_item current_page_item\""; }else{ echo "class=\"page_item\""; } ?>><a href="<?php bloginfo('url'); ?>" title="Home">home</a></li>
				<?php wp_list_pages('title_li='); ?> 
			</ul>
		</div>
	<!-- clear -->
	<div class="clear"></div>
	</div>
	<!-- end main-header -->
