<?php get_header(); ?>
	
	<!-- set main-content -->
	<div id="main-content">
		<!-- set left col -->
		<div id="content-container-left">
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p><strong><?php bloginfo('name'); ?></strong>: Insert a brief description of your blog, or yourself -- whichever. <a href="<?php bloginfo('url'); ?>/index.php/about">Read More</a></p>
				</div>
			</div>
			<!-- end author block -->
			
			<?php query_posts('showposts=1'); ?>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				 
			<!-- set main-entry -->
			<div class="main-entry">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="meta-top"><strong><?php the_time('F j, Y'); ?></strong> | <strong>Author:</strong>  <?php the_author() ?> | <strong>Filed under:</strong> <?php the_category(',') ?></div>
				<?php
					$excerpt = get_the_excerpt();
					$excerpt = truncate( $excerpt, 200 );
					
					if (!empty($excerpt)){
						echo "				<p class=\"excerpt\">";
						echo $excerpt;
						echo "</p>";
					}
				?>
				<?php the_content('Read more...'); ?>
			<div class="meta-bottom-home"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comments</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="permalink"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">Permalink</a></span> <img src="<? bloginfo('template_url')?>/images/icon_fff.png" alt="farfromfearless" longdesc="http://www.farfromfearless.com" class="fff" /></div>
			</div>
			<!-- end main-entry -->	
			<?php endwhile; endif; ?>
			 
			<?php query_posts('showposts=9&offset=1'); ?>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<!-- set past-entry -->
			<div class="entry">
				<div class="date">
					<span class="month-year"><?php the_time('M Y'); ?></span> <span class="day"><?php the_time('j'); ?></span>
				</div>
				<div class="entry-content">
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
					<?php
						$excerpt = get_the_excerpt();
						$excerpt = truncate( $excerpt, 28 );
						echo "<p>" . $excerpt . "</p>";
					?>

					<div class="meta-bottom"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comment</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="tags"><?php the_category(',') ?></span></div>
				</div>
			</div>
			<!-- end past-entry -->
			<?php endwhile; endif; ?>
			 
	
			
		</div>
		<!-- end left col -->

		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/recentcomments.php"); ?>

			<?php include (TEMPLATEPATH . "/bookmarks.php"); ?>

			<?php include (TEMPLATEPATH . "/blogfeeds.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

		</div>
		<!-- end right-col -->
		
		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->
		
		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set low-ercontent-container -->
			<div id="lower-content-container">
			
				<?php include (TEMPLATEPATH . "/recentposts.php"); ?>
			
				<?php //include (TEMPLATEPATH . "/other.php"); ?>
			
				<?php include (TEMPLATEPATH . "/flickr.php"); ?>

				<!-- clear -->
				<div class="clear"></div>
			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->
		
		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>
	
	</div>
	<!-- end main-content -->

<?php get_footer(); ?>