<?php get_header(); ?>

	<!-- set main-content -->
	<div id="main-content">

	  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>


		<!-- set left col -->
		<div id="content-container-left">
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p class="postmetadata-alt">
							This entry was posted
							<?php /* This is commented, because it requires a little adjusting sometimes.
								You'll need to download this plugin, and follow the instructions:
								http://binarybonsai.com/archives/2004/08/17/time-since-plugin/ */
								/* $entry_datetime = abs(strtotime($post->post_date) - (60*120)); echo time_since($entry_datetime); echo ' ago'; */ ?> 
							on <strong><?php the_time('l, F jS, Y') ?></strong>.
							You can follow any responses to this entry through the <?php comments_rss_link('RSS 2.0'); ?> feed. 

							<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
								// Both Comments and Pings are open ?>
								You can <a href="#comment">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.

							<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
								// Only Pings are Open ?>
								Responses are currently closed, but you can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.

							<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
								// Comments are open, Pings are not ?>
								You can skip to the end and leave a response. Pinging is currently not allowed.

							<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
								// Neither Comments, nor Pings are open ?>
								Both comments and pings are currently closed.

							<?php } edit_post_link('Edit this entry.','',''); ?>
					</p>
				</div>
			</div>
			<!-- end author block -->
			
			
			<!-- set page navigation -->
			<div class="page-navigation">
				<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
				<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
				<!-- clear -->
				<div class="clear"></div>
			</div>
			<!-- end page navigation -->
			
			<!-- set main-entry -->
			<div class="main-entry">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="meta-top"><strong><?php the_time('F j, Y'); ?></strong> | <strong>Author:</strong>  <?php the_author() ?> | <strong>Filed under:</strong> <?php the_category(',') ?></div>
				<?php
					$excerpt = get_the_excerpt();
					$excerpt = truncate( $excerpt, 1000 );
					
					if (!empty($excerpt)){
						echo "				<p class=\"excerpt\">";
						echo $excerpt;
						echo "</p>";
					}
				?>
				<?php the_content(); ?>
				<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
				<div class="meta-bottom-home"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comments</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="permalink"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">Permalink</a></span> <img src="<? bloginfo('template_url')?>/images/icon_fff.png" alt="farfromfearless" longdesc="http://www.farfromfearless.com" class="fff" /></div>
			</div>
			<!-- end main-entry -->	
				<?php //comments_template(); ?>

				<?php endwhile; else: ?>

				<p>Sorry, no posts matched your criteria.</p>

		<?php endif; ?>
				
			<div class="clear"></div>

        </div>
		<!-- end left col -->
		
		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

			<?php include (TEMPLATEPATH . "/blogfeeds.php"); ?>

		</div>
		<!-- end right-col -->

		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->


		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set lower-content-container -->
			<div id="lower-content-container">
				<a name="comments" id="comments"></a>
				<?php comments_template(); ?>

			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->

		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>

	</div>
	<!-- end main-content -->	

<?php get_footer(); ?>
